eID middleware |

# be.portugal.eid.Callback Interface Reference

Java callback interface. More...

List of all members.

## Public Member Functions
void | getEvent (long lRet, long ulState, Object callbackData)
| Get a callback event.

## Detailed Description

Java callback interface.

This interface must be implemented at the application side by a class that should receive the callback(s).

## Member Function Documentation

void be.portugal.eid.Callback.getEvent | ( | long | lRet,
|  | long | ulState,
|  | Object | callbackData |
| ) |  |  |

Get a callback event.

This method is the callback from the Java SDK to the application. A class at the application side must implement this method to receive the callbacks from the Java interface. This callback method will give the dataobject back that was set by the PTEID_ReaderContext.SetEventCallback(...) method.

Parameters:

  | lRet,: | internal use only
  | ulState,: | internal use only
  | callbackData,: | the callback data object as passed by the function SetEventCallback